#!/bin/bash
fichier=$1
# le fichier indiqué en paramètre doit contenir une ligne :
# adresse_actuelle=http://....... correspondant à l'adresse où a été téléchargé le fichier
# pour le fichier de départ, c'est à faire manuellement après le wget
# pour les fichiers suivants, c'est fait automatiquement par le script
echo "================================= traitement de $fichier ==========================================" | tee -a info_dl_depot.log;
adresse_actuelle=$(grep -i adresse_actuelle $fichier | awk -F \= '{ print $2 }');
echo "l'adresse actuelle est $adresse_actuelle" | tee -a info_dl_depot.log;
while read ligne 
do
	cible=$(echo $ligne | grep -i href | wc -l)
	if [ $cible -gt 0 ] 
	then
		# rpm
		ciblerpm=$(echo $ligne | grep -i ".rpm" | wc -l)
		if [ $ciblerpm -gt 0 ] 
		then
			addciblerpm=$(echo $ligne | awk -F href\=\" '{ print $2 }' | awk -F \" '{ print $1 }');
			addciblerpmt=$adresse_actuelle$addciblerpm;
			echo "On télécharge $addciblerpmt" | tee -a info_dl_depot.log;
			wget -nv -c -a info_dl_depot.log $addciblerpmt;
		fi
		# dossier, non parent
		cibledir=$(echo $ligne | grep -i "alt=\"\[DIR\]\"" | grep -v "Parent Directory" | wc -l);
		if [ $cibledir -gt 0 ] 
		then
			addcibledir=$(echo $ligne | awk -F href\=\" '{ print $2 }' | awk -F \" '{ print $1 }');
			addcibledirt=$adresse_actuelle$addcibledir;
			nomdir="dir_"$(echo $addcibledir | awk -F \/ '{ print $1 }');
			echo "On télécharge $addcibledirt, index de $nomdir" | tee -a info_dl_depot.log;
			wget -nv -c -a info_dl_depot.log -O $nomdir $addcibledirt;
			echo "adresse_actuelle=$addcibledirt" >> $nomdir;
			./dl_depot.sh $nomdir;
			rm -f $nomdir;
		fi
	fi
done < $fichier
# ce script pourrait être lancé par un autre, qui lirait une liste de dépôts (nom + adresse de base) dans un fichier ou une BDD
# avec éventuellement une arborescence de type :
# Fedora
# 	-> 20 
#		-> x86_64, 
#		-> i386
#		-> updates 
#			-> x86_64 
#			-> i386
# il se déplacerait dans le répertoire où mettre les fichiers téléchargés (à créer si besoin), et lancerait le script avec son adresse absolue - il faudrait alors modifier le script actuel, ou modifier les wgets
# on pourrait aussi rajouter des filtres pour ne pas télécharger certains paquets (par exemple les jeux comme astromenace, vegastrike...)
